xfs_scrub_all(8)

BEZEICHNUNG
xfs_scrub_all - Alle eingehängten XFS-Dateisysteme bereinigen

ÜBERSICHT
xfs_scrub_all [ -hxV ]

BESCHREIBUNG
xfs_scrub_all versucht, alle Metadaten auf allen eingehängten XFS-Dateisystemen zu lesen und zu prüfen. Die Laufzeitbereinigung erfolgt über das Werkzeug xfs_scrub(8), entweder durch direkte Ausführung oder durch Verwendung von Systemd, um es in einer eingeschränkten Art zu starten. Eingehängte Dateisysteme werden physischen Speichergeräten zugeordnet, so dass die Bereinigungsaktionen parallelisiert werden können, solange zwei Bereinigungsprozesse nicht gleichzeitig auf das gleiche Gerät zugreifen.

OPTIONEN

--auto-media-scan-interval
    Aktiviert die Dateidatenprüfung automatisch (d.h. den Schalter -x), falls sie in dem angegebenen Intervall nicht ausgeführt wurde. Das Intervall muss eine Fließkommazahl mit einer optional angehängten Einheit sein. Unterstützte Einheiten sind y, q, mo, w, d, h, m und s für Jahre, 90-Tag-Quartale, 30-Tage-Monate, Wochen, Tage, Stunden, Minuten bzw. Sekunden. Falls keine Einheit angegeben ist, ist Sekunden die Vorgabe.

--auto-media-scan-stamp
    Pfad zu einer Datei, die den letzten Zeitpunkt vermerkt, zu dem die Medienüberprüfung ausgeführt wurde. Standardmäßig /var/lib/xfsprogs/xfs_scrub_all_media.stamp.

-h  Zeigt eine Hilfe an.

-x  Liest alle Datei-Datenextents, um nach Plattenfehlern zu schauen.

-V  Gibt die Versionsnummer aus und beendet sich.

EXIT-CODE
Der von xfs_scrub_all zurückgelieferte Exit-Code ist die Summe der folgenden Bedingungen:
    0    - Keine Fehler
    4    - Dateisystemfehler sind nicht korrigiert worden
    8    - Ausführungsfehler
    16    - Fehler bei der Verwendung oder in der Syntax

Dies sind die gleichen Codes, die auch von xfs_scrub(8) zurückgeliefert werden.

SIEHE AUCH
xfs_scrub(8).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).